Skip to content

Update reservation guest data of a single guest

PUT
/v1/reservations/{reservation_id}/guestdata/{guest_id}

Updates the guest data for a reservation id

Authorizations

api_key
Type
API Key (header: X-Api-Key)

Parameters

Path Parameters

reservation_id*

XS2event ID of the Reservation

Type
string
Required
guest_id*

XS2event ID of the guest

Type
string
Required

Request Body

application/json
JSON
{
  
"first_name": "John",
  
"last_name": "Doe",
  
"passport_number": "ABC123456",
  
"contact_email": "user@example.com",
  
"contact_phone": "+31123456789",
  
"lead_guest": true,
  
"date_of_birth": "1991-01-30",
  
"gender": "male",
  
"country_of_residence": "NLD",
  
"street_name": "Hereweg 95",
  
"additional_street_name": "e",
  
"city": "Groningen",
  
"zip": "9721AA",
  
"province": "Groningen",
  
"guest_id": null,
  
"conditions": {
  
  
"additionalProperties": "string"
  
}
}

Responses

OK

application/json
JSON
{
  
"first_name": "John",
  
"last_name": "Doe",
  
"passport_number": "ABC123456",
  
"contact_email": "user@example.com",
  
"contact_phone": "+31123456789",
  
"lead_guest": true,
  
"date_of_birth": "1991-01-30",
  
"gender": "male",
  
"country_of_residence": "NLD",
  
"street_name": "Hereweg 95",
  
"additional_street_name": "e",
  
"city": "Groningen",
  
"zip": "9721AA",
  
"province": "Groningen",
  
"guest_id": null,
  
"conditions": {
  
  
"additionalProperties": "string"
  
}
}

Playground

Server
Authorization
Variables
Key
Value
Body

Samples